package com.srs.workstudy.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.workstudy.domain.QgzxPost;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 勤工助学岗位Service接口
 *
 * @author srs
 * @date 2024-05-30
 */
public interface IQgzxPostService extends IService<QgzxPost> {

    public AjaxResult countZzbUnTodo();
    public AjaxResult countZzbldUnTodo();
    public AjaxResult countZdlsUnTodo(String zdlsNo);

    public AjaxResult countFdyUnTodo(String fdyNo);

    public AjaxResult countDeptUnTodo(String deptName);

    public AjaxResult manyAudit(List<QgzxPost> param);

    public AjaxResult doAudit(QgzxPost qgzxPost);

    public AjaxResult doReply(QgzxPost param);


    public AjaxResult getUserSign(Long uid);


    public AjaxResult cancelApply(Long id);


    public List<QgzxPost> listView(QgzxPost param);

    public AjaxResult doApply(QgzxPost param);
    public AjaxResult doSave(QgzxPost param);






    /**
     * 查询勤工助学岗位
     *
     * @param id 勤工助学岗位主键
     * @return 勤工助学岗位
     */
    public QgzxPost selectQgzxPostById(Long id);

    /**
     * 查询勤工助学岗位列表
     *
     * @param qgzxPost 勤工助学岗位
     * @return 勤工助学岗位集合
     */
    List<QgzxPost> selectQgzxPostList(QgzxPost qgzxPost);

    /**
     * 新增勤工助学岗位
     *
     * @param qgzxPost 勤工助学岗位
     * @return 结果
     */
    int insertQgzxPost(QgzxPost qgzxPost);

    /**
     * 修改勤工助学岗位
     *
     * @param qgzxPost 勤工助学岗位
     * @return 结果
     */
    int updateQgzxPost(QgzxPost qgzxPost);

    /**
     * 批量删除勤工助学岗位
     *
     * @param ids 需要删除的勤工助学岗位主键集合
     * @return 结果
     */
    int deleteQgzxPostByIds(Long[] ids);

    /**
     * 删除勤工助学岗位信息
     *
     * @param id 勤工助学岗位主键
     * @return 结果
     */
    int deleteQgzxPostById(Long id);
}
